Bug 1202517 - docker fd leak
Summary: docker fd leak
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: docker
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Daniel Walsh
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On: 1189028
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-16 19:25 UTC by Daniel Walsh
Modified: 2019-03-06 02:41 UTC (History)
23 users (show)

Fixed In Version: docker-1.5.0-20.el7
Doc Type: Bug Fix
Doc Text:
Clone Of: 1189028
Environment:
Last Closed: 2015-03-30 13:12:49 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:0759 0 normal SHIPPED_LIVE docker bug fix update 2015-03-30 17:11:43 UTC

Comment 1 Daniel Walsh 2015-03-16 19:26:08 UTC
This will require a new build of docker-1.5.0

Comment 2 Lokesh Mandvekar 2015-03-19 06:31:54 UTC
with docker-1.5.0-20.el7, Fds seem to be in the range 13-15 and Goroutines are in 19-21 on my system. Don't seem to increase beyond that.

Comment 4 Luwen Su 2015-03-25 07:44:43 UTC
docker-1.5.0-26.el7.x86_64, both fd and Goroutine are stable.(no longer exceed 26 and 37 on my machine)
#terminal 1
# while true; do docker run -it --rm rhel7 /bin/true ; done

#terminal 2
#while true; do DEBUG=1 docker info; done


Execution Driver: native-0.2
Kernel Version: 3.10.0-229.el7.x86_64
Operating System: Red Hat Enterprise Linux
CPUs: 4
Total Memory: 7.116 GiB
Name: timesu
ID: PWNU:J2F2:JNI4:UMJT:JRIC:ATCH:IFOE:V3IT:4PYF:NTXE:4UPV:FPYV
Debug mode (server): false
Debug mode (client): true
Fds: 21
Goroutines: 26
EventsListeners: 0
Init SHA1: 884881bd7d645736f30a7b1bc2055dffc3ccbf49
Init Path: /usr/libexec/docker/dockerinit
Docker Root Dir: /var/lib/docker
Containers: 13
Images: 18
Storage Driver: devicemapper
 Pool Name: docker-8:3-1076447624-pool
 Pool Blocksize: 65.54 kB
 Backing Filesystem: xfs
 Data file: 
 Metadata file: 
 Data Space Used: 4.115 GB
 Data Space Total: 107.4 GB
 Data Space Available: 103.3 GB
 Metadata Space Used: 4.153 MB
 Metadata Space Total: 2.147 GB
 Metadata Space Available: 2.143 GB
 Udev Sync Supported: true
 Library Version: 1.02.93-RHEL7 (2015-01-28)

Comment 6 errata-xmlrpc 2015-03-30 13:12:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-0759.html


Note You need to log in before you can comment on or make changes to this bug.